commit:     2c402bf8db46f4ff010f9a52722a62caef0cab10
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 10 08:49:10 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Feb 10 08:49:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2c402bf8

dev-python/wcmatch: Bump to 8.1.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/wcmatch/Manifest             |  1 +
 dev-python/wcmatch/wcmatch-8.1.1.ebuild | 61 +++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-python/wcmatch/Manifest b/dev-python/wcmatch/Manifest
index 1260f165fe9..e3b2fe10ab5 100644
--- a/dev-python/wcmatch/Manifest
+++ b/dev-python/wcmatch/Manifest
@@ -2,4 +2,5 @@ DIST wcmatch-7.1.tar.gz 105744 BLAKE2B 
0add1c68025c92ac57d6ea64d82bddb20bace60de
 DIST wcmatch-7.2.tar.gz 105087 BLAKE2B 
a28bd9d02468f3ca83d606ee7f7d5c9b6b8883cf6e0c04b711765aefafce189f7f524a490c6831a739b579be66af5f4b1c7b6373da22e170211e611677c5788f
 SHA512 
6fdc0a3cb6d66b323c509a5ee34c1e8df9a46a93fd1fc0921dfdbc17ac604934fdad3df5e8f253aa6a880bea2e81bb26ec097b9503c920433c5827ea91b327d8
 DIST wcmatch-8.0.1.tar.gz 105948 BLAKE2B 
efa23d89f01b91dfb06885a9dcce94622c76e889fa7a0d8ed839cba1eafac4bd3bd1f9a8ccd95d0c7f3a6d990346de2df2bed05a1ac092b07076c548e61b77f0
 SHA512 
ae99df5ea8f2d1c9e0e120ba23c36dd7b0b13832e5ee599cf08dee2c93f624bab550d937743a3063fac8cce6ce18f56582380521aa3860f220abdcbfe9461dec
 DIST wcmatch-8.0.tar.gz 105910 BLAKE2B 
228295a28511ac8c534feed31459dc3e75316febc377473de6d30075886cf33262d6f97931c134b5aaef9109216a4b50383e884e9f3f370849e8a1ac5af5999a
 SHA512 
94bd02e02d544746b678704bd77c1252bd569f1030316e2617f340ee81266dcba398a1a6a15d9460203e681a4825a853cbebee3681d8d338a17ef9ae8d9a03ce
+DIST wcmatch-8.1.1.tar.gz 111931 BLAKE2B 
0ec1bac5b26d3f45dac1b24eb3994b803e2297d064277965f6f46e23db3841f008dd6d9ebe7914c68e9c4733c5455cdcdb9652be0f6a1dc3674eaaa28666a91b
 SHA512 
1e31a2a9edf25a7d7e64f8e64a6d8b5e00595ce4c9ac4780f073a2c8d0c123d33860f0843c8313de51478e927746f5b56902afda7b1dee0784dfb3231eb807b7
 DIST wcmatch-8.1.tar.gz 111866 BLAKE2B 
c896c67437e28faa0accc47f2faacedfcd9baf8f3c795f4c4429eb91bc22c0e71668db58979ee81356d5ead73e244ac2d13053ef421b8e212efd3a3feadc4eae
 SHA512 
fdb06c46d6ea83f02f2a4ac8743431d1b7821188a6ad9f845c583707091cbfd1231d1970ba3cea92e993583ed91ee314f04240dcb9285f6bb5624bd4dbae8743

diff --git a/dev-python/wcmatch/wcmatch-8.1.1.ebuild 
b/dev-python/wcmatch/wcmatch-8.1.1.ebuild
new file mode 100644
index 00000000000..fdc416d5245
--- /dev/null
+++ b/dev-python/wcmatch/wcmatch-8.1.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+       ~dev-python/mkdocs_pymdownx_material_extras-1.0.7
+       dev-python/mkdocs-material
+       dev-python/mkdocs-git-revision-date-localized-plugin
+       dev-python/mkdocs-minify-plugin
+       dev-python/pyspelling
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="Wildcard/glob file name matcher"
+HOMEPAGE="
+       https://github.com/facelessuser/wcmatch/
+       https://pypi.org/project/wcmatch/";
+SRC_URI="https://github.com/facelessuser/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       >=dev-python/backrefs-4.1[${PYTHON_USEDEP}]
+       >=dev-python/bracex-2.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="test? (
+       dev-python/mock[${PYTHON_USEDEP}]
+       dev-vcs/git
+)"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # this test makes a really wrong assumption that basename of $HOME
+       # will be a username
+       sed -i -e 's:test_tilde_user:_&:' \
+               tests/test_glob.py || die
+
+       # tests require some files in homedir
+       > "${HOME}"/test1.txt || die
+       > "${HOME}"/test2.txt || die
+
+       # mkdocs-git-revision-date-localized-plugin needs git repo
+       if use doc; then
+               git init || die
+               git config --global user.email "[email protected]" || die
+               git config --global user.name "Your Name" || die
+               git add . || die
+               git commit -m 'init' || die
+       fi
+
+       distutils-r1_python_prepare_all
+}

Reply via email to